
//--------------------------------------------------------------------------------------------------
// shared transform matrices
shared float4x4		g_mView						: VIEW;
shared float4x4		g_mViewInverse				: VIEWINVERSE;

shared float4x4		g_mProjection				: PROJECTION;
shared float4x4		g_mProjectionInverse		: PROJECTIONINVERSE;

shared float4x4		g_mWorldInverse				: WORLDINVERSE;
shared float4x4		g_mWorld					: WORLD;
shared float3		g_vCameraPos				: CAMERAPOSITION; 

shared float		g_fTime;

//--------------------------------------------------------------------------------------------------
// lights
struct LightData
{
	float3	vPositionWS;			// World Space Position
	float3	vColor;
	float3	vAttenuationCoefficients;
};

#define iNumLights	1

shared LightData	g_aLights[iNumLights];
shared float3		g_vAmbientLight = ( 0.2, 0.2, 0.2 );

//--------------------------------------------------------------------------------------------------
